> This page is for Firmware, version 3.2.
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Get the operating system time status

GET http://os-992244000006.local/api/v1/time/system

Get the operating system time status. These values relate to the sensor operating system clocks, and not clocks related to hardware timestamp data from the lidar sensor.

Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/time/get-time-system

## Response

### 200

Operating system time status

- `monotonic` (float, optional) — Monotonic time of operating system. This timestamp never counts backwards and is the time since boot in seconds.
- `realtime` (float, optional) — Time in seconds since the Unix epoch, should match wall time if synchronized with external time source.
- `tracking` (TimeSystemTracking, optional) — Operating system time synchronization tracking status. See chronyc tracking [documentation]( https://chrony-project.org/doc/4.5/chronyc.html#tracking ) for more information.

## Types

### TimeSystemTracking

Operating system time synchronization tracking status. See chronyc tracking [documentation]( https://chrony-project.org/doc/4.5/chronyc.html#tracking ) for more information.

- `frequency` (float, optional)
- `last_offset` (float, optional) — Estimated local offset on the last clock update.
- `leap_status` (string, optional)
- `ref_time_utc` (float, optional) — UTC Time at which the last measurement from the reference source was processed.
- `reference_id` (string, optional)
- `remote_host` (string, optional) — This is either `ptp` if the system is synchronizing to a PTP time source or the address of a remote NTP server the system has selected if the sensor is connected to the Internet.
- `residual_frequency` (float, optional)
- `rms_offset` (float, optional) — Long-term average of the offset value
- `root_delay` (float, optional)
- `root_dispersion` (float, optional)
- `skew` (float, optional)
- `stratum` (double, optional)
- `system_time_offset` (double, optional) — Time delta (in seconds) between the estimate of the operating system time and the current true time.
- `update_interval` (float, optional)

## Examples

**Response**

```json
{
  "monotonic": 45231.78,
  "realtime": 1686787200.123,
  "tracking": {
    "frequency": 3.943,
    "last_offset": -0.0023,
    "leap_status": "normal",
    "ref_time_utc": 1686787199.987,
    "reference_id": "A0:1B:2C:3D:4E:5F",
    "remote_host": "time.nist.gov",
    "residual_frequency": 0.00012,
    "rms_offset": 0.0015,
    "root_delay": 0.025,
    "root_dispersion": 0.03,
    "skew": 0.0005,
    "stratum": 2,
    "system_time_offset": 0.0008,
    "update_interval": 64
  }
}
```

**SDK Code**

```python
import requests

url = "http://os-992244000006.local/api/v1/time/system"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'http://os-992244000006.local/api/v1/time/system';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/time/system"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/time/system")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://os-992244000006.local/api/v1/time/system")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://os-992244000006.local/api/v1/time/system');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/time/system");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/time/system")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```